makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.visagetechnologies.makeupsdk.FilterQueueTemplate Class Reference

## Public Member Functions
JSONObject | ToJSON ()

## Static Public Member Functions
static FilterQueueTemplate | FromJSON (JSONObject jsonObject)

## Public Attributes
String | blend
String | origin = "video"
List< FilterTemplate > | preprocess = new ArrayList<>()
List< FilterTemplate > | postprocess = new ArrayList<>()
boolean | switchLayers = false

## Detailed Description

Contains information defining a single step in the rendering pipeline of each makeup feature element. Single step of the rendering pipeline consists of a blend mode, an optional lists of preprocessing and an optional list of postprocessing filters. The engine supports the following blend modes:

- Overlay: performs overlay blend mode
- AlphaBlendUseMaskAlpha: performs traditional transparency blending using binary mask as alpha channel
- Screen: performs screen blend mode

Each blend is performed between the output of the preprocessing stack and the output of the previous blend or previous postprocessing stack. Used blend mode is specified via name member. Specifically, the initial blend is performed between colored a mesh representing queried makeup feature and the first preprocessing stack. Preprocessing filters are applied in sequence starting from raw camera feed. Postprocessing filters are applied in sequence starting from the output of blending. Provides methods for serialization and deserialization of FilterQueueTemplate instances from JSON format.

## Member Function Documentation

## ◆ FromJSON()

static FilterQueueTemplate com.visagetechnologies.makeupsdk.FilterQueueTemplate.FromJSON | ( | JSONObject | jsonObject | ) |
| inline static

Deserializes FilterQueueTemplate object from JSON representation

Parameters

  jsonObject | JSON object

Returns
  deserialized FilterQueueTemplate object

## ◆ ToJSON()

JSONObject com.visagetechnologies.makeupsdk.FilterQueueTemplate.ToJSON | ( |  | ) |
| inline

Returns JSON object out of this FilterQueueTemplate object

Returns
  JSON representation of this FilterQueueTemplate returned JSONObject

## Member Data Documentation

## ◆ blend

String com.visagetechnologies.makeupsdk.FilterQueueTemplate.blend

Name of the used blend mode.

## ◆ origin

String com.visagetechnologies.makeupsdk.FilterQueueTemplate.origin = "video"

The input image for this filter queue. The following values are supported:

- video: the input image into this filter queue is the input image provided to the engine by the API consumer.
- previous: the input image into this filter queue is the output image of the previous element in the pipeline

The default value for origin is video.

## ◆ postprocess

List<FilterTemplate> com.visagetechnologies.makeupsdk.FilterQueueTemplate.postprocess = new ArrayList<>()

List of postprocessing filters to apply.

## ◆ preprocess

List<FilterTemplate> com.visagetechnologies.makeupsdk.FilterQueueTemplate.preprocess = new ArrayList<>()

List of preprocessing filters to apply.

## ◆ switchLayers

boolean com.visagetechnologies.makeupsdk.FilterQueueTemplate.switchLayers = false

If set to true the output of preprocess is used as a top layer, otherwise output from previous blend is used as a top layer for blending.